package com.mortals.xhx.module.customer.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkDesignVo;
import lombok.Data;
/**
 * 客户作品信息实体对象
 *
 * @author zxfei
 * @date 2023-07-11
 */
@Data
public class CustomerWorkDesignEntity extends CustomerWorkDesignVo {
    private static final long serialVersionUID = 1L;

    /**
     * 客户ID
     */
    private Long customerId;
    /**
     * 作品名称
     */
    private String workDesignName;
    /**
     * 作品状态：0:草稿，1:发布
     */
    private Integer workDesignStatus;
    /**
     * 作品描述
     */
    private String workDesignDesc;
    /**
     * 模版引用的图片
     */
    private String pictureIds;
    /**
     * 模版引用的素材
     */
    private String pictureSrcIds;
    /**
     * 模版引用的背景
     */
    private String pictureBackgroundIds;
    /**
     * 作品引用的字体
     */
    private String fontIds;
    /**
     * 作品图片预览地址（相对地址）
     */
    private String previewUrl;
    /**
     * 设计草稿
     */
    private String draft;
    /**
     * 作品类型：1:图片，2:视频
     */
    private Integer designType;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkDesignEntity) {
            CustomerWorkDesignEntity tmp = (CustomerWorkDesignEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.customerId = null;

        this.workDesignName = "";

        this.workDesignStatus = -1;

        this.workDesignDesc = "";

        this.pictureIds = "";

        this.pictureSrcIds = "";

        this.pictureBackgroundIds = "";

        this.fontIds = "";

        this.previewUrl = "";

        this.draft = "";

        this.designType = 1;
    }
}