package com.mortals.xhx.module.message.web;

import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.code.MessageTypeEnum;
import com.mortals.xhx.common.code.SendModeEnum;
import com.mortals.xhx.common.code.SendScopeEnum;
import com.mortals.xhx.common.code.SendStatusEnum;
import com.mortals.xhx.module.message.model.MessageEntity;
import com.mortals.xhx.module.message.service.MessageService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
/**
*
* 客户建议信息
*
* @author zxfei
* @date 2022-06-28
*/
@RestController
@RequestMapping("message")
public class MessageController extends BaseCRUDJsonBodyMappingController<MessageService,MessageEntity,Long> {

    public MessageController(){
        super.setModuleDesc( "客户建议信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "sendMode", IBaseEnum.getEnumMap(SendModeEnum.class));
        this.addDict(model, "scope", IBaseEnum.getEnumMap(SendScopeEnum.class));
        this.addDict(model, "sendStatus", IBaseEnum.getEnumMap(SendStatusEnum.class));
        this.addDict(model, "messageType", IBaseEnum.getEnumMap(MessageTypeEnum.class));
        super.init(model, context);
    }

    @Override
    protected void doListBefore(MessageEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderCols = new HashMap<>();
        orderCols.put("createTime","DESC");
        query.setOrderCols(orderCols);
    }

}