package com.mortals.xhx.module.picture.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.picture.model.vo.PictureMaterialVo;
/**
* 图片素材实体对象
*
* @author zxfei
* @date 2022-06-15
*/

public class PictureMaterialEntity extends PictureMaterialVo {
    private static final long serialVersionUID = 1L;

    /**
    * 图片名称
    */
    private String pictureName;
    /**
    * 图片分组（系统参数中获取，字典数据）
    */
    private Long pictureGroupId;
    /**
    * 图片分类（系统参数中获取，字典数据）
    */
    private Long pictureClassifyId;
    /**
    * 图片描述
    */
    private String pictureDesc;
    /**
    * 图片下载地址（相对地址）
    */
    private String picturePath;
    /**
    * 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    */
    private Integer pictureType;
    /**
    * 文件原始名称
    */
    private String fileName;



    public PictureMaterialEntity(){}
    /**
    * 获取 图片名称
    * @return String
    */
    public String getPictureName(){
        return pictureName;
    }
    /**
    * 设置 图片名称
    * @param pictureName
    */
    public void setPictureName(String pictureName){
        this.pictureName = pictureName;
    }
    /**
    * 获取 图片分组（系统参数中获取，字典数据）
    * @return Long
    */
    public Long getPictureGroupId(){
        return pictureGroupId;
    }
    /**
    * 设置 图片分组（系统参数中获取，字典数据）
    * @param pictureGroupId
    */
    public void setPictureGroupId(Long pictureGroupId){
        this.pictureGroupId = pictureGroupId;
    }
    /**
    * 获取 图片分类（系统参数中获取，字典数据）
    * @return Long
    */
    public Long getPictureClassifyId(){
        return pictureClassifyId;
    }
    /**
    * 设置 图片分类（系统参数中获取，字典数据）
    * @param pictureClassifyId
    */
    public void setPictureClassifyId(Long pictureClassifyId){
        this.pictureClassifyId = pictureClassifyId;
    }
    /**
    * 获取 图片描述
    * @return String
    */
    public String getPictureDesc(){
        return pictureDesc;
    }
    /**
    * 设置 图片描述
    * @param pictureDesc
    */
    public void setPictureDesc(String pictureDesc){
        this.pictureDesc = pictureDesc;
    }
    /**
    * 获取 图片下载地址（相对地址）
    * @return String
    */
    public String getPicturePath(){
        return picturePath;
    }
    /**
    * 设置 图片下载地址（相对地址）
    * @param picturePath
    */
    public void setPicturePath(String picturePath){
        this.picturePath = picturePath;
    }
    /**
    * 获取 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @return Integer
    */
    public Integer getPictureType(){
        return pictureType;
    }
    /**
    * 设置 图片类型，0:普通图片，1：素材，2:背景图片。默认：0
    * @param pictureType
    */
    public void setPictureType(Integer pictureType){
        this.pictureType = pictureType;
    }
    /**
    * 获取 文件原始名称
    * @return String
    */
    public String getFileName(){
        return fileName;
    }
    /**
    * 设置 文件原始名称
    * @param fileName
    */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PictureMaterialEntity) {
            PictureMaterialEntity tmp = (PictureMaterialEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",pictureName:").append(getPictureName());
        sb.append(",pictureGroupId:").append(getPictureGroupId());
        sb.append(",pictureClassifyId:").append(getPictureClassifyId());
        sb.append(",pictureDesc:").append(getPictureDesc());
        sb.append(",picturePath:").append(getPicturePath());
        sb.append(",pictureType:").append(getPictureType());
        sb.append(",fileName:").append(getFileName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.pictureName = "id";

            this.pictureGroupId = null;

            this.pictureClassifyId = null;

            this.pictureDesc = "";

            this.picturePath = "";

            this.pictureType = null;

            this.fileName = "";
    }
}